Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.security
Class DefaultAcceptedPatternsChecker

    java.lang.Object
      com.opensymphony.xwork2.security.DefaultAcceptedPatternsChecker

All Implemented Interfaces:
  AcceptedPatternsChecker

    public class DefaultAcceptedPatternsChecker

extends Object
implements AcceptedPatternsChecker

Nested Class Summary

Nested classes/interfaces inherited from interface com.opensymphony.xwork2.security.AcceptedPatternsChecker
`AcceptedPatternsChecker.IsAccepted`

Field Summary
`static String[]` | `ACCEPTED_PATTERNS`

Constructor Summary
`DefaultAcceptedPatternsChecker()`

Method Summary
`Set<Pattern>` | `getAcceptedPatterns()` Allow access list of all defined excluded patterns
`AcceptedPatternsChecker.IsAccepted` | `isAccepted(String value)` Checks if value matches any of patterns on exclude list
`void` | `setAcceptedPatterns(Set<String> patterns)` Sets excluded patterns during runtime
`void` | `setAcceptedPatterns(String commaDelimitedPatterns)` Sets excluded patterns during runtime
`void` | `setAcceptedPatterns(String[] additionalPatterns)` Set excluded patterns during runtime
`void` | `setAdditionalAcceptedPatterns(String acceptablePatterns)`
`void` | `setOverrideAcceptedPatterns(String acceptablePatterns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCEPTED_PATTERNS

    public static final String[] ACCEPTED_PATTERNS

Constructor Detail

### DefaultAcceptedPatternsChecker

    public DefaultAcceptedPatternsChecker()

Method Detail

### setOverrideAcceptedPatterns

    public void setOverrideAcceptedPatterns(String acceptablePatterns)

### setAdditionalAcceptedPatterns

    public void setAdditionalAcceptedPatterns(String acceptablePatterns)

### setAcceptedPatterns

    public void setAcceptedPatterns(String commaDelimitedPatterns)

  Description copied from interface: `AcceptedPatternsChecker`
  Sets excluded patterns during runtime

  Specified by:
    `setAcceptedPatterns` in interface `AcceptedPatternsChecker`
  Parameters:
    `commaDelimitedPatterns` - comma delimited string with patterns

### setAcceptedPatterns

    public void setAcceptedPatterns(String[] additionalPatterns)

  Description copied from interface: `AcceptedPatternsChecker`
  Set excluded patterns during runtime

  Specified by:
    `setAcceptedPatterns` in interface `AcceptedPatternsChecker`
  Parameters:
    `additionalPatterns` - array of additional excluded patterns

### setAcceptedPatterns

    public void setAcceptedPatterns(Set<String> patterns)

  Description copied from interface: `AcceptedPatternsChecker`
  Sets excluded patterns during runtime

  Specified by:
    `setAcceptedPatterns` in interface `AcceptedPatternsChecker`
  Parameters:
    `patterns` - set of additional patterns

### isAccepted

    public AcceptedPatternsChecker.IsAccepted isAccepted(String value)

  Description copied from interface: `AcceptedPatternsChecker`
  Checks if value matches any of patterns on exclude list

  Specified by:
    `isAccepted` in interface `AcceptedPatternsChecker`
  Parameters:
    `value` - to check
  Returns:
    object containing result of matched pattern and pattern itself

### getAcceptedPatterns

    public Set<Pattern> getAcceptedPatterns()

  Description copied from interface: `AcceptedPatternsChecker`
  Allow access list of all defined excluded patterns

  Specified by:
    `getAcceptedPatterns` in interface `AcceptedPatternsChecker`
  Returns:
    set of excluded patterns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.